<?php

$sports_hub_tp_theme_css = '';

$sports_hub_tp_color_option = get_theme_mod('sports_hub_tp_color_option');

// 1st color
$sports_hub_tp_color_option = get_theme_mod('sports_hub_tp_color_option', '#B81E20');
if ($sports_hub_tp_color_option) {
	$sports_hub_tp_theme_css .= ':root {';
	$sports_hub_tp_theme_css .= '--color-primary1: ' . esc_attr($sports_hub_tp_color_option) . ';';
	$sports_hub_tp_theme_css .= '}';
}

// 2nd color
$sports_hub_tp_color_option_second = get_theme_mod('sports_hub_tp_color_option_second', '#EC5F06');
if ($sports_hub_tp_color_option_second) {
	$sports_hub_tp_theme_css .= ':root {';
	$sports_hub_tp_theme_css .= '--color-primary2: ' . esc_attr($sports_hub_tp_color_option_second) . ';';
	$sports_hub_tp_theme_css .= '}';
}


//preloader
$sports_hub_tp_preloader_color1_option = get_theme_mod('sports_hub_tp_preloader_color1_option');
$sports_hub_tp_preloader_color2_option = get_theme_mod('sports_hub_tp_preloader_color2_option');
$sports_hub_tp_preloader_bg_color_option = get_theme_mod('sports_hub_tp_preloader_bg_color_option');

if($sports_hub_tp_preloader_color1_option != false){
$sports_hub_tp_theme_css .='.center1{';
	$sports_hub_tp_theme_css .='border-color: '.esc_attr($sports_hub_tp_preloader_color1_option).' !important;';
$sports_hub_tp_theme_css .='}';
}
if($sports_hub_tp_preloader_color1_option != false){
$sports_hub_tp_theme_css .='.center1 .ring::before{';
	$sports_hub_tp_theme_css .='background: '.esc_attr($sports_hub_tp_preloader_color1_option).' !important;';
$sports_hub_tp_theme_css .='}';
}
if($sports_hub_tp_preloader_color2_option != false){
$sports_hub_tp_theme_css .='.center2{';
	$sports_hub_tp_theme_css .='border-color: '.esc_attr($sports_hub_tp_preloader_color2_option).' !important;';
$sports_hub_tp_theme_css .='}';
}
if($sports_hub_tp_preloader_color2_option != false){
$sports_hub_tp_theme_css .='.center2 .ring::before{';
	$sports_hub_tp_theme_css .='background: '.esc_attr($sports_hub_tp_preloader_color2_option).' !important;';
$sports_hub_tp_theme_css .='}';
}
if($sports_hub_tp_preloader_bg_color_option != false){
$sports_hub_tp_theme_css .='.loader{';
	$sports_hub_tp_theme_css .='background: '.esc_attr($sports_hub_tp_preloader_bg_color_option).';';
$sports_hub_tp_theme_css .='}';
}

// footer-bg-color
$sports_hub_tp_footer_bg_color_option = get_theme_mod('sports_hub_tp_footer_bg_color_option');

if($sports_hub_tp_footer_bg_color_option != false){
$sports_hub_tp_theme_css .='#footer{';
	$sports_hub_tp_theme_css .='background: '.esc_attr($sports_hub_tp_footer_bg_color_option).' !important;';
$sports_hub_tp_theme_css .='}';
}

// logo tagline color
$sports_hub_site_tagline_color = get_theme_mod('sports_hub_site_tagline_color');

if($sports_hub_site_tagline_color != false){
$sports_hub_tp_theme_css .='.logo h1 a, .logo p a{';
$sports_hub_tp_theme_css .='color: '.esc_attr($sports_hub_site_tagline_color).';';
$sports_hub_tp_theme_css .='}';
}

$sports_hub_logo_tagline_color = get_theme_mod('sports_hub_logo_tagline_color');
if($sports_hub_logo_tagline_color != false){
$sports_hub_tp_theme_css .='p.site-description{';
$sports_hub_tp_theme_css .='color: '.esc_attr($sports_hub_logo_tagline_color).';';
$sports_hub_tp_theme_css .='}';
}

// footer widget title color
$sports_hub_footer_widget_title_color = get_theme_mod('sports_hub_footer_widget_title_color');
if($sports_hub_footer_widget_title_color != false){
$sports_hub_tp_theme_css .='#footer h3{';
$sports_hub_tp_theme_css .='color: '.esc_attr($sports_hub_footer_widget_title_color).';';
$sports_hub_tp_theme_css .='}';
}

// copyright text color
$sports_hub_footer_copyright_text_color = get_theme_mod('sports_hub_footer_copyright_text_color');
if($sports_hub_footer_copyright_text_color != false){
$sports_hub_tp_theme_css .='#footer .site-info p, #footer .site-info p a {';
$sports_hub_tp_theme_css .='color: '.esc_attr($sports_hub_footer_copyright_text_color).';';
$sports_hub_tp_theme_css .='}';
}

// header image title color
$sports_hub_header_image_title_text_color = get_theme_mod('sports_hub_header_image_title_text_color');
if($sports_hub_header_image_title_text_color != false){
$sports_hub_tp_theme_css .='.box-text h2{';
$sports_hub_tp_theme_css .='color: '.esc_attr($sports_hub_header_image_title_text_color).';';
$sports_hub_tp_theme_css .='}';
}

// menu color
$sports_hub_menu_color = get_theme_mod('sports_hub_menu_color');
if($sports_hub_menu_color != false){
$sports_hub_tp_theme_css .='.main-navigation a{';
$sports_hub_tp_theme_css .='color: '.esc_attr($sports_hub_menu_color).';';
$sports_hub_tp_theme_css .='}';
}

//Footer Font Weight
$sports_hub_footer_copyright_title_font_weight = get_theme_mod( 'sports_hub_footer_copyright_title_font_weight','');
if($sports_hub_footer_copyright_title_font_weight == '100'){
$sports_hub_tp_theme_css .='#footer .site-info p {';
    $sports_hub_tp_theme_css .='font-weight: 100;';
$sports_hub_tp_theme_css .='}';
}else if($sports_hub_footer_copyright_title_font_weight == '200'){
$sports_hub_tp_theme_css .='#footer .site-info p {';
    $sports_hub_tp_theme_css .='font-weight: 200;';
$sports_hub_tp_theme_css .='}';
}else if($sports_hub_footer_copyright_title_font_weight == '300'){
$sports_hub_tp_theme_css .='#footer .site-info p {';
    $sports_hub_tp_theme_css .='font-weight: 300;';
$sports_hub_tp_theme_css .='}';
}else if($sports_hub_footer_copyright_title_font_weight == '400'){
$sports_hub_tp_theme_css .='#footer .site-info p {';
    $sports_hub_tp_theme_css .='font-weight: 400;';
$sports_hub_tp_theme_css .='}';
}else if($sports_hub_footer_copyright_title_font_weight == '500'){
$sports_hub_tp_theme_css .='#footer .site-info p {';
    $sports_hub_tp_theme_css .='font-weight: 500;';
$sports_hub_tp_theme_css .='}';
}else if($sports_hub_footer_copyright_title_font_weight == '600'){
$sports_hub_tp_theme_css .='#footer .site-info p {';
    $sports_hub_tp_theme_css .='font-weight: 600;';
$sports_hub_tp_theme_css .='}';
}else if($sports_hub_footer_copyright_title_font_weight == '700'){
$sports_hub_tp_theme_css .='#footer .site-info p {';
    $sports_hub_tp_theme_css .='font-weight: 700;';
$sports_hub_tp_theme_css .='}';
}else if($sports_hub_footer_copyright_title_font_weight == '800'){
$sports_hub_tp_theme_css .='#footer .site-info p {';
    $sports_hub_tp_theme_css .='font-weight: 800;';
$sports_hub_tp_theme_css .='}';
}else if($sports_hub_footer_copyright_title_font_weight == '900'){
$sports_hub_tp_theme_css .='#footer .site-info p {';
    $sports_hub_tp_theme_css .='font-weight: 900;';
$sports_hub_tp_theme_css .='}';
}